Subject: bug#44452: Clash between guile-3.0 and guile-3.0-latest

From: divoplade <[email-masked]>
Date: Wed, 04 Nov 2020 19:47:22 +0100

Dear guix,

I cannot add the "guile-3.0" package in any system configuration (the
part that reads (packages (append (list ... %base-packages)))). When I
do that, I get:

$ LANG=C guix system docker-image config.scm 
guix system: error: profile contains conflicting entries for guile
guix system: error:   first entry: [email-masked]
/gnu/store/18hp7flyb3yid3yp49i6qcdq0sbi5l1n-guile-3.0.2
guix system: error:   second entry: [email-masked]
/gnu/store/ah16zr8mmfkqy23rr7jy5a842ca1q9h1-guile-3.0.4
hint: You cannot have two different versions or variants of `guile' in
the same profile.

The fix would be to deprecate guile-3.0-latest as an alias for guile-
3.0, and use the 3.0.4 version in guile-3.0.

Best regards,

divoplade